diff options
author | Edwin Groothuis <edwin@FreeBSD.org> | 2003-09-08 08:06:26 +0000 |
---|---|---|
committer | Edwin Groothuis <edwin@FreeBSD.org> | 2003-09-08 08:06:26 +0000 |
commit | f5254d12d288a60d400adf8398f9ba2389e63eb3 (patch) | |
tree | 26ade8a3d015d235cedf995823c42fba406e9286 /irc | |
parent | 4ce4c9ce6ff6c13520b0759e90740f0ec09f52e8 (diff) | |
download | ports-f5254d12d288a60d400adf8398f9ba2389e63eb3.tar.gz ports-f5254d12d288a60d400adf8398f9ba2389e63eb3.zip |
new port: irc/ircproxy
Night Light IRC Proxy is a multi-user IRC (Internet Relay
Chat) proxy written in C.
An IRC proxy (or bouncer) is a program that run on a machine
between your IRC client and the IRC server. The ircproxy
connect to the IRC server, then you connect to the ircproxy
with your IRC client. The ircproxy program will forward
data sent by the IRC server to one or more IRC clients
connected to the ircproxy and will forward data sent from
the IRC clients to the IRC server.
PR: ports/56557
Submitted by: Jonas Kvinge <jonas@brokenarrow.night-light.net>
Notes
Notes:
svn path=/head/; revision=88759
Diffstat (limited to 'irc')
-rw-r--r-- | irc/Makefile | 1 | ||||
-rw-r--r-- | irc/ircproxy-freebsd-port/Makefile | 36 | ||||
-rw-r--r-- | irc/ircproxy-freebsd-port/distinfo | 1 | ||||
-rw-r--r-- | irc/ircproxy-freebsd-port/files/patch-configure | 9 | ||||
-rw-r--r-- | irc/ircproxy-freebsd-port/pkg-deinstall | 111 | ||||
-rw-r--r-- | irc/ircproxy-freebsd-port/pkg-descr | 6 | ||||
-rw-r--r-- | irc/ircproxy-freebsd-port/pkg-plist | 5 |
7 files changed, 169 insertions, 0 deletions
diff --git a/irc/Makefile b/irc/Makefile index 244e6ecc3969..0000142959ac 100644 --- a/irc/Makefile +++ b/irc/Makefile @@ -27,6 +27,7 @@ SUBDIR += irchat-pj-emacs21 SUBDIR += irchat-pj-xemacs-devel-mule SUBDIR += irchat-pj-xemacs21-mule + SUBDIR += ircproxy-freebsd-port SUBDIR += ircservices SUBDIR += iroffer SUBDIR += irssi diff --git a/irc/ircproxy-freebsd-port/Makefile b/irc/ircproxy-freebsd-port/Makefile new file mode 100644 index 000000000000..a7c4b342515b --- /dev/null +++ b/irc/ircproxy-freebsd-port/Makefile @@ -0,0 +1,36 @@ +# New ports collection makefile for: ircproxy +# Date created: 10 July 2003 +# Whom: Jonas Kvinge <jonas@night-light.net> +# +# $FreeBSD$ +# + +PORTNAME= ircproxy +PORTVERSION= 1.2.41 +CATEGORIES= irc +MASTER_SITES= ftp://ftp.night-light.net/pub/unix/ircproxy/ +DISTNAME= ircproxy-1.2.41d.pl2 + +MAINTAINER= jonas@jonas.night-light.net +COMMENT= An IRC proxy server + +GNU_CONFIGURE= yes +CONFIGURE_ARGS= --prefix=${LOCALBASE} + +# +# Copy the freebsd port setup file to automatically generate setup.h +# So we dont need to do make config, I think this might be the best +# solution. +# +pre-build: + @if [ ! -f ${WRKSRC}/config/setup-file ]; then ( \ + if [ ! -f ${WRKSRC}/setup/setup-freebsd ]; then ( ${ECHO} "Missing the setup-freebsd file!"; exit 1; ) fi; \ + ${CP} ${WRKSRC}/setup/setup-freebsd ${WRKSRC}/setup/setup-file || exit 1; \ + cd ${WRKSRC}/setup; SETUP_BATCH=y SETUP_QUIET=y ${SH} ./setup || exit 1; \ + cd ${WRKSRC}/setup; ${SH} ./setup-makefile || exit 1; \ + ) \ + fi; + ${CHMOD} u+x ${WRKSRC}/pkg-install || exit 1 + ${CHMOD} u+x ${WRKSRC}/pkg-deinstall || exit 1 + +.include "bsd.port.mk" diff --git a/irc/ircproxy-freebsd-port/distinfo b/irc/ircproxy-freebsd-port/distinfo new file mode 100644 index 000000000000..8b55fd347ff4 --- /dev/null +++ b/irc/ircproxy-freebsd-port/distinfo @@ -0,0 +1 @@ +MD5 (ircproxy-1.2.41d.pl2.tar.gz) = 0fda244dd742e2e7ee848e96b6ec04c2 diff --git a/irc/ircproxy-freebsd-port/files/patch-configure b/irc/ircproxy-freebsd-port/files/patch-configure new file mode 100644 index 000000000000..5b6a52fb5bf5 --- /dev/null +++ b/irc/ircproxy-freebsd-port/files/patch-configure @@ -0,0 +1,9 @@ +--- configure.orig Mon Sep 8 00:59:36 2003 ++++ configure Mon Sep 8 00:59:44 2003 +@@ -6,5 +6,5 @@ + + cd config + chmod u+x configure +-./configure ++./configure $* + cd .. diff --git a/irc/ircproxy-freebsd-port/pkg-deinstall b/irc/ircproxy-freebsd-port/pkg-deinstall new file mode 100644 index 000000000000..0b0c3915ebe3 --- /dev/null +++ b/irc/ircproxy-freebsd-port/pkg-deinstall @@ -0,0 +1,111 @@ +#!/bin/sh +# +# Night Light IRC Proxy +# Deinstallation script for FreeBSD ports +# Written by Jonas Kvinge +# +# Last modified: Jonas Kvinge (10.07.2003) +# + +c='' +n='' +if [ "`eval echo -n 'a'`" = "-n a" ] ; then + c='\c' +else + n='-n' +fi + +EGROUP="ircproxy" +EUSER="ircproxy" +PIDFILEPATH="$PKG_PREFIX/ircproxy/ircproxy.pid" + +if [ "$2" = "DEINSTALL" ]; then + + echo "*-----------------------------------------------------------------------------" + echo "* Night Light IRC Proxy FreeBSD de-installation script" + echo "* Copyright (C) 2003 Jonas Kvinge, all rights reserved." + echo "*-----------------------------------------------------------------------------" + + echo $n "Checking to see whether ircproxy is installed in crontab... $c" + grep -q "^[^#]*$PKG_PREFIX/ircproxy/ircproxy\.sh" /etc/crontab >/dev/null 2>&1 + if [ $? -eq 0 ]; then + echo "YES" + echo $n "Removing ircproxy from crontab... $c" + sed -e "s:^[^#]*$PKG_PREFIX/ircproxy/ircproxy\.sh::" -e '/^$/d' /etc/crontab >/tmp/crontab || exit 1 + mv /tmp/crontab /etc/crontab || exit + chmod 644 /etc/crontab || exit + echo "OK" + else + echo "NO" + fi + echo $n "Checking to see whether ircproxy is running... $c" + if [ -f $PIDFILEPATH ] ; then + if [ ! -r $PIDFILEPATH ] ; then + echo "ERROR" + echo "Error: Cannot read PID file $PIDFILEPATH!" + exit 1 + fi + PID=`cat "$PIDFILEPATH"` + if ps -p "$PID" >/dev/null 2>&1 ; then + echo "YES" + for count in 1 2 3 4 5 6 7 8 9 10; do + if [ $count -ge 5 ]; then + echo $n "Sending KILL signal to ircproxy... $c" + kill -KILL "$PID" || break + echo "OK" + break + fi + echo $n "Sending TERM signal to ircproxy and waiting two seconds... $c" + kill -TERM "$PID" || break + sleep 2 + if ps -p `cat "$PIDFILEPATH"` >/dev/null 2>&1 ; then + echo "Still Running!" + else + echo "Successfully terminated!" + break + fi + done + else + echo "NO" + fi + else + echo "NO" + fi +fi + +if [ "$2" = "POST-DEINSTALL" ]; then + + echo "*-----------------------------------------------------------------------------" + echo "* Night Light IRC Proxy FreeBSD post de-installation script" + echo "* Copyright (C) 2003 Jonas Kvinge, all rights reserved." + echo "*-----------------------------------------------------------------------------" + + echo $n "Checking if $PKG_PREFIX/ircproxy exist... $c" + if [ -d "$PKG_PREFIX/ircproxy" ]; then + echo "YES" + echo $n "Removing $PKG_PREFIX/ircproxy... $c" + rm -R -f "$PKG_PREFIX/ircproxy" && echo "OK" || exit 1 + else + echo "NO" + fi + echo $n "Checking if $EGROUP group exist... $c" + pw group show ${EGROUP} >/dev/null 2>&1 + if [ $? -eq 0 ] ; then + echo "YES" + echo $n "Removing the $EGROUP group from the system... $c" + pw groupdel -n "$EGROUP" && echo "OK" || exit 1 + else + echo "NO" + fi + echo $n "Checking if $EUSER user account exist... $c" + pw user show ${EUSER} >/dev/null 2>&1 + if [ $? -eq 0 ] ; then + echo "YES" + echo $n "Removing the $EUSER user account from the system... $c" + pw userdel -n "$EUSER" && echo "OK" || exit 1 + else + echo "NO" + fi +fi + +exit 0 diff --git a/irc/ircproxy-freebsd-port/pkg-descr b/irc/ircproxy-freebsd-port/pkg-descr new file mode 100644 index 000000000000..67d24a55ccca --- /dev/null +++ b/irc/ircproxy-freebsd-port/pkg-descr @@ -0,0 +1,6 @@ +This is a port of ircproxy, it is an Internet Relay Chat Proxy. + +WWW: http://www.ircproxy.night-light.net/ + +- Jonas Kvinge +jonas@jonas.night-light.net diff --git a/irc/ircproxy-freebsd-port/pkg-plist b/irc/ircproxy-freebsd-port/pkg-plist new file mode 100644 index 000000000000..075ac0ab612e --- /dev/null +++ b/irc/ircproxy-freebsd-port/pkg-plist @@ -0,0 +1,5 @@ +ircproxy/ircproxy +ircproxy/mkpasswd +ircproxy/data/listen.conf +ircproxy/data/access.conf +ircproxy/data/conn.conf |